#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'informasi_penyedia.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'kembali.label'}</a>
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="detail-wrapper">
            <div class="detail-body">
                <div class="col-md-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <ul class="nav nav-tabs" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#info-penyedia" aria-controls="info-penyedia" role="tab" data-toggle="tab">&{'informasi_penyedia.label'}</a>
                                </li>
                                <li role="presentation">
                                    <a href="#distributor" aria-controls="distributor" role="tab" data-toggle="tab">&{'distributor.label'}</a>
                                </li>
                            </ul>

                            <div class="tab-content">
                                <!-- Informasi Penyedia -->
                                <div role="tabpanel" class="tab-pane active" id="info-penyedia">
                                    <div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'penyedia.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.nama_penyedia}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nama_pengguna.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.user_name}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'status.label'} &{'penyedia.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if paket?.provider?.status_penyedia_distributor != null}
                                                        #{if paket?.provider?.status_penyedia_distributor == "penyedia_dan_distributor"}
                                                            &{'penyedia_dan_distributor.label'}
                                                        #{/if}
                                                        #{elseif paket?.provider?.status_penyedia_distributor == "penyedia_saja"}
                                                            &{'penyedia_saja.label'}
                                                        #{/elseif}
                                                        #{else paket?.provider?.status_penyedia_distributor == "distributor_saja"}
                                                            &{'distributor_saja.label'}
                                                        #{/else}
                                                    #{/if}
                                                    #{else}-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'alamat.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.alamat}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'kode_pos.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.kode_pos}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'email.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.email}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'situs_web.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.website}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nomor_telp.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.no_telp}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'nomor_fax.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.no_fax}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'npwp.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.npwp}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'pkp.label'}</div>
                                                <div class="detail-description col-md-9">${paket?.provider?.pkp}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'penyedia_komoditas.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if !komoditasList.isEmpty()}
                                                        <ol>
                                                            #{list komoditasList, as:'komoditas'}
                                                                <li>${komoditas.nama_komoditas}</li>
                                                            #{/list}
                                                        </ol>
                                                    #{/if}
                                                    #{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'tipe_penyedia.label'} (&{'ukm.label'}/Non)</div>
                                                <div class="detail-description col-md-9">
                                                    #{if paket?.provider?.is_umkm != null}
                                                        #{if paket?.provider?.is_umkm == 1}
                                                        &{'usaha_kecil.label'}
                                                        #{/if}
                                                        #{elseif paket?.provider?.is_umkm == 2}
                                                        &{'usaha_menengah.label'}
                                                        #{/elseif}
                                                        #{else}
                                                            Non &{'ukm.label'}
                                                        #{/else}
                                                    #{/if}
                                                    #{else}-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'dokumen_pendukung.label'} &{'ukm.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if !dokumenUkmList.isEmpty()}
                                                        <ol>
                                                            #{list dokumenUkmList, as:'dokumen'}
                                                                <li>
                                                                    #{if aktifUser.roleItems.contains(models.secman.Acl.COM_PENYEDIA_DOKUMEN_UKM_VIEW.namaRole)}
                                                                        <a href="${dokumen.download_url}">${dokumen.file_label}</a>
                                                                    #{/if}#{else }
                                                                        ${dokumen.file_label}
                                                                    #{/else}
                                                                </li>
                                                            #{/list}
                                                        </ol>
                                                    #{/if}
                                                    #{else }-#{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-2">&{'file_kontrak.label'}</div>

                                                <div class="detail-description col-md-offset-2 col-md-10">
                                                *{${penyedia.npwp}}*
                                                    <table class="table table-condensed" id="tblPenyediaKontrak">
                                                        <thead>
                                                        <tr>
                                                            <th class="header-left">&{'nomor.label'}</th>
                                                            <th class="header-left">&{'nomor_kontrak.label'}</th>
                                                            <th class="header-left">&{'file_kontrak.label'}</th>
                                                            <th class="header-left">&{'tanggal_masa_berlaku.label'}</th>
                                                        </tr>
                                                        </thead>
                                                    </table>
                                                </div>

                                            </div>
                                        </div>
                                    </div>

                                    <h5>&{'representatif.label'}</h5>
                                    <div style="overflow-x: auto">
                                        <table class="table table-condensed table-bordered">
                                            <thead>
                                            <tr>
                                                <th class="header-left">&{'nama.label'}</th>
                                                <th class="header-left">&{'email.label'}</th>
                                                <th class="header-left">&{'nomor_telp.label'}</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            #{list items:paket?.provider?.representatives, as:'item'}
                                            <tr>
                                                <td>${item.nama}</td>
                                                <td>${item.email}</td>
                                                <td>${item.no_telp}</td>
                                            #{/list}
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <!-- End Informasi Penyedia -->

                                <!-- Form Distributor -->
                                <div role="tabpanel" class="tab-pane" id="distributor" style="overflow-x: auto">
                                    <table class="table table-condensed table-bordered">
                                        <thead>
                                        <tr>
                                            <th>&{'nama.label'}</th>
                                            <th>&{'nomor_telp.label'}</th>
                                            <th>&{'email.label'}</th>
                                            <th>&{'situs_web.label'}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        #{list paket?.provider?.distributors, as:'dist'}
                                        <tr>
                                            <td style="text-align: center"><a href="@{purchasing.PaketCtr.infoDistributor(paket?.id,dist.id)}">${dist.nama_distributor}</a></td>
                                            <td style="text-align: center">${dist.no_telp}</td>
                                            <td style="text-align: center">${dist.email}</td>
                                            <td style="text-align: center">${dist.website}</td>
                                        </tr>
                                        #{/list}
                                        </tbody>
                                    </table>
                                </div>
                                <!-- End Distributor -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script>
    jQuery(document).ready(function($) {
        $("#tblPenyediaKontrak").dataTable({
            ajax : {
                url : "@{DataTableCtr.getKontrakPenyedia()}",
                cache : true,
                data: {
                    penyedia_id: "${paket?.provider?.id}"
                }
            },
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : true
            },{
                "searchable" : false, "className": "header-center"
            },{
                "searchable" : true, "className": "header-center"
            }]
        });

    });

</script>
#{/set}